Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3.mutable
Class MutableShort

    java.lang.Object
      java.lang.Number
          org.apache.commons.lang3.mutable.MutableShort

All Implemented Interfaces:
  Serializable, Comparable<MutableShort>, Mutable<Number>

    public class MutableShort

extends Number
implements Comparable<MutableShort>, Mutable<Number>

A mutable `short` wrapper.

Note that as MutableShort does not extend Short, it is not treated by String.format as a Short parameter.

Since:
  2.1
Version:
  $Id: MutableShort.java 1160571 2011-08-23 07:36:08Z bayard $
See Also:
  `Short`, Serialized Form

Constructor Summary
`MutableShort()` Constructs a new MutableShort with the default value of zero.
`MutableShort(Number value)` Constructs a new MutableShort with the specified value.
`MutableShort(short value)` Constructs a new MutableShort with the specified value.
`MutableShort(String value)` Constructs a new MutableShort parsing the given string.

Method Summary
`void` | `add(Number operand)` Adds a value to the value of this instance.
`void` | `add(short operand)` Adds a value to the value of this instance.
`int` | `compareTo(MutableShort other)` Compares this mutable to another in ascending order.
`void` | `decrement()` Decrements the value.
`double` | `doubleValue()` Returns the value of this MutableShort as a double.
`boolean` | `equals(Object obj)` Compares this object to the specified object.
`float` | `floatValue()` Returns the value of this MutableShort as a float.
`Short` | `getValue()` Gets the value as a Short instance.
`int` | `hashCode()` Returns a suitable hash code for this mutable.
`void` | `increment()` Increments the value.
`int` | `intValue()` Returns the value of this MutableShort as an int.
`long` | `longValue()` Returns the value of this MutableShort as a long.
`void` | `setValue(Number value)` Sets the value from any Number instance.
`void` | `setValue(short value)` Sets the value.
`short` | `shortValue()` Returns the value of this MutableShort as a short.
`void` | `subtract(Number operand)` Subtracts a value from the value of this instance.
`void` | `subtract(short operand)` Subtracts a value from the value of this instance.
`Short` | `toShort()` Gets this mutable as an instance of Short.
`String` | `toString()` Returns the String value of this mutable.

Methods inherited from class java.lang.Number
`byteValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableShort

    public MutableShort()

  Constructs a new MutableShort with the default value of zero.

### MutableShort

    public MutableShort(short value)

  Constructs a new MutableShort with the specified value.

  Parameters:
    `value` - the initial value to store

### MutableShort

    public MutableShort(Number value)

  Constructs a new MutableShort with the specified value.

  Parameters:
    `value` - the initial value to store, not null
  Throws:
    `NullPointerException` - if the object is null

### MutableShort

    public MutableShort(String value)
                 throws NumberFormatException

  Constructs a new MutableShort parsing the given string.

  Parameters:
    `value` - the string to parse, not null
  Throws:
    `NumberFormatException` - if the string cannot be parsed into a short
  Since:
    2.5

Method Detail

### getValue

    public Short getValue()

  Gets the value as a Short instance.

  Specified by:
    `getValue` in interface `Mutable<Number>`
  Returns:
    the value as a Short, never null

### setValue

    public void setValue(short value)

  Sets the value.

  Parameters:
    `value` - the value to set

### setValue

    public void setValue(Number value)

  Sets the value from any Number instance.

  Specified by:
    `setValue` in interface `Mutable<Number>`
  Parameters:
    `value` - the value to set, not null
  Throws:
    `NullPointerException` - if the object is null

### increment

    public void increment()

  Increments the value.

  Since:
    Commons Lang 2.2

### decrement

    public void decrement()

  Decrements the value.

  Since:
    Commons Lang 2.2

### add

    public void add(short operand)

  Adds a value to the value of this instance.

  Parameters:
    `operand` - the value to add, not null
  Since:
    Commons Lang 2.2

### add

    public void add(Number operand)

  Adds a value to the value of this instance.

  Parameters:
    `operand` - the value to add, not null
  Throws:
    `NullPointerException` - if the object is null
  Since:
    Commons Lang 2.2

### subtract

    public void subtract(short operand)

  Subtracts a value from the value of this instance.

  Parameters:
    `operand` - the value to subtract, not null
  Since:
    Commons Lang 2.2

### subtract

    public void subtract(Number operand)

  Subtracts a value from the value of this instance.

  Parameters:
    `operand` - the value to subtract, not null
  Throws:
    `NullPointerException` - if the object is null
  Since:
    Commons Lang 2.2

### shortValue

    public short shortValue()

  Returns the value of this MutableShort as a short.

  Overrides:
    `shortValue` in class `Number`
  Returns:
    the numeric value represented by this object after conversion to type short.

### intValue

    public int intValue()

  Returns the value of this MutableShort as an int.

  Specified by:
    `intValue` in class `Number`
  Returns:
    the numeric value represented by this object after conversion to type int.

### longValue

    public long longValue()

  Returns the value of this MutableShort as a long.

  Specified by:
    `longValue` in class `Number`
  Returns:
    the numeric value represented by this object after conversion to type long.

### floatValue

    public float floatValue()

  Returns the value of this MutableShort as a float.

  Specified by:
    `floatValue` in class `Number`
  Returns:
    the numeric value represented by this object after conversion to type float.

### doubleValue

    public double doubleValue()

  Returns the value of this MutableShort as a double.

  Specified by:
    `doubleValue` in class `Number`
  Returns:
    the numeric value represented by this object after conversion to type double.

### toShort

    public Short toShort()

  Gets this mutable as an instance of Short.

  Returns:
    a Short instance containing the value from this mutable, never null

### equals

    public boolean equals(Object obj)

  Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is a `MutableShort` object that contains the same `short` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with, null returns false
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a suitable hash code for this mutable.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a suitable hash code

### compareTo

    public int compareTo(MutableShort other)

  Compares this mutable to another in ascending order.

  Specified by:
    `compareTo` in interface `Comparable<MutableShort>`
  Parameters:
    `other` - the other mutable to compare to, not null
  Returns:
    negative if this is less, zero if equal, positive if greater

### toString

    public String toString()

  Returns the String value of this mutable.

  Overrides:
    `toString` in class `Object`
  Returns:
    the mutable value as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.